vim.bo.tabstop = 2

local lua = require("util.lua")
local map = vim.keymap.set
local opts = function(desc) return { desc = desc, buffer = true, silent = true } end

-- stylua: ignore start
map("n", "gf",                          lua.go_to_module,         opts("Go to module under cursor"))

map("n", "<localleader>x",              lua.execute_lines,        opts("Execute current line"))
map("x", "<localleader>x",              lua.execute_selection,    opts("Execute selection"))
map("n", "<localleader><localleader>x", lua.execute_file,         opts("Execute current file"))

map("n", [[<localleader>']],            [[:.s/"/'/g | nohl<cr>]], opts([[Replace: " 󱦰 ']]))
map("n", [[<localleader>"]],            [[:.s/'/"/g | nohl<cr>]], opts([[Replace: ' 󱦰 "]]))
map("x", [[<localleader>']],            [[:s/"/'/g  | nohl<cr>]], opts([[Replace: " 󱦰 ']]))
map("x", [[<localleader>"]],            [[:s/'/"/g  | nohl<cr>]], opts([[Replace: ' 󱦰 "]]))
-- stylua: ignore end
